/** @file MOMVideoComponent.cpp
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#include "config.h"

#if ENABLE(RMAI)

#include "MOMVideoComponent.h"

namespace WebCore {

MOMVideoComponent::MOMVideoComponent(mom_component comp)
    : MOMComponent(comp)
{
}

int MOMVideoComponent::aspectRatio() const
{
    // TODO float/undefined based
    unsigned int aspect;
    mom_component_get_aspect_ratio(component(), &aspect);
    return aspect;
}

} // namespace WebCore

#endif // ENABLE(RMAI)
